leap 15的内核竟然是4.12.14!

(java2learner) #1

leap 15的内核竟然是4.12.14!

4.12 系列在发布 4.12.14 后便被标记为 EOL 状态了!

上一次发布新版本的时候没有更新内核,这一次使用了一个已经EOL的内核。

这是什么情况?

为什么openSUSE和CentOS都不用长期支持的内核
(hillwood) #2

漏洞修复会通过 backport 的方式来做。

1赞
(silmoon) #3

原因:和SLE同步所以内核版本也和SLE一样,至于SLE为啥要用这个内核……主要还是成本问题(包括时间和金钱),做各种认证需要大量时间和人力测试,所以不可能频繁更新内核
影响:至少安全性没啥影响……SUSE有这个实力,所以SUSE想给这个内核支持多久就能给这个内核支持多久,而且用这个内核的原因之一就是已经做了各种安全认证

2赞
(鹤仙人) #4

那也比Ubuntu安全…

2赞
(Stawidy) #5

没啥问题啊,只是主线内核官方宣布 EOL 而已嘛,SUSE 这边自己也可以维护,你不见红帽的2.6至今还在用。

2赞
(runapp) #6

Linus: EOL!
SuSE: Change to LTS!
Final state: LTS

3赞
(Tang) #7

是这样的,kernel.org那边内核更新很快的,要用最新的内核,要体验最新的功能,建议出门左拐找arch或者manjaro或者fedora。
我是一个休闲/养生linux玩家,对我来说更新不会出问题,系统经过详尽的测试比体验最新的功能重要的多,我想也是很多opensuse lovers喜欢opensuse的原因
至于更新和安全这件事,不知道楼主有没有见过还在用RHEL4 或者CentOS3的公司,对他们来说,一来稳定性压倒一切,如果出了任何问题那你除了要辞职走人,还有可能上报纸; 再有就是成本,SUSE公司已经在这个内核版本上花费了大量的时间和精力,做了完备的测试和补丁,更换新的内核对对你来说只是一个更大的数字,对他们来说就是把所有之前做过的事推倒重来。

(流浪猫) #8

咋不提Tumbleweed?

(维格纳的朋友) #9

Tumbleweed也不翻车啊
也没见你们用

(Tang) #10

关于内核版本旧的官方回复:
https://en.opensuse.org/Portal:Leap/Leap_kernel_version